2008-03-14  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi: More about omitted charsets.
	Reported by Pascal Gourdel.

2008-03-13  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi: Clarify include files and configuration matters.
	Reported by Xabier Rodriguez Calvar.

2008-03-10  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (Task level): Use name, not file, in example.
	Reported by Simon Cozens.

2008-03-08  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi: Better document iconv processing.

	* recode.texi: Write Recode, not Free recode.  Prefer Recode to
	@code{recode} wherever appropriate.

2008-03-07  François Pinard  <pinard@iro.umontreal.ca>

	* tables.py: Moved to top level.
	* Makemore: Deleted.
	* Makefile.am: Adjusted.
	(rfc1345.texi): New goal.

2008-03-06  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi: Document iconv as an external library, instead
	of as being integrated as part of the recode library.
	* iconv.texi: Deleted.
	* Makefile.am: Adjusted.

2008-02-21  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi: English corrections.
	Reported by Dan Jacobson.

2008-02-19  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi: English corrections.
	Reported by Reuben Thomas.

2008-02-16  François Pinard  <pinard@iro.umontreal.ca>

	* mdate-sh, texinfo.tex: Modified by Automake 1.10.

2005-11-06  François Pinard  <pinard@iro.umontreal.ca>

	* version.texi, help2man, texinfo.tex: New files, from elsewhere.

2005-03-06  François Pinard  <pinard@iro.umontreal.ca>

	* texinfo.tex: Newer version, from elsewhere.

	* ChangeLog: Converted to UTF-8.

2001-07-01  Bruno Haible  <haible@clisp.cons.org>

	* libiconv.texi: Regenerated using Makemore.
	* fr-libiconv.texi: Likewise.

2001-07-01  Bruno Haible  <haible@clisp.cons.org>

	* Makemore (ENCODINGS_DEF): Use all the encodings*.def files.

2000-12-06  Bruno Haible  <haible@clisp.cons.org>

	* Makefile.am (MAKEINFO): New definition, forcing English titles in
	the generated info files.

	* recode.texi: Reformulate paragraphs mentioning DEFAULT_CHARSET.

	* Makemore (ENCODINGS_DEF): Add encodings_local.def.

2000-10-14  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (Listings): Document how to produce hexadecimal
	conversion tables.

2000-08-30  Bruno Haible  <haible@clisp.cons.org>

	* help2man: Upgrade to version 1.022.

2000-08-18  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (HTML): Undust and bring up-to-date.  Add XML info.

2000-07-10  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (Introduction): How to pronounce recode.

2000-06-29  François Pinard  <pinard@iro.umontreal.ca>

	* tables.py (Explodes.complete, Strips.complete_sources): Produce
	delmodule_* functions, both empty for now.

2000-06-26  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (Debugging): New node.
	(Test): Renamed from Debugging.

	* tables.py (Mnemonics.digest_iso10646_def): Handle varying
	capitalisation in file others.def.

2000-05-27  François Pinard  <pinard@iro.umontreal.ca>

	* Makefile.am (MOSTLYCLEANFILES): Define to recode.ops.

	* tables.py (Strips): Generate strip data only when needed.
	* Makemore (fr-rfc1345.texi): Depends on and use mnemonics,ds.

2000-04-23  Bruno Haible  <haible@clisp.cons.org>

	* tables.py: While generating libiconv.h, do not produce those
	declarations which are now contained in iconv.h.

2000-03-22  François Pinard  <pinard@iro.umontreal.ca>

	* NomsSeulsfinal.lst: Updated.
	Reported by François Yergeau.

2000-03-21  François Pinard  <pinard@iro.umontreal.ca>

	* tables.py: Reorganised with classes, no more globals.

2000-02-07  François Pinard  <pinard@iro.umontreal.ca>

	* NomsSeulsfinal.lst: Update replacing noms_juc_19981216.txt.
	* Makemore (NOMS_CARACS): Adjusted.
	Reported by Patrick Andries.

2000-02-06  François Pinard  <pinard@iro.umontreal.ca>

	* Makemore (ENCODINGS_DEF): Use ../ instead of top_srcdir.

	* tables.py: Nomenclature change of symbol to alias.

2000-02-05  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi: Document tree as a special charset.

1999-12-30  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (Charset overview): Document unreachable charsets.
	Reported by François-Xavier Bergot

1999-12-29  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (libiconv): Adjust to reflect the merge.

1999-12-28  François Pinard  <pinard@iro.umontreal.ca>

	* tables.py (produce_libiconv): Declare libiconv functions.
	* Makemore: Use encoding.def from the libiconv/ subdirectory.

1999-12-24  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (libiconv): New name for iconv node.

1999-12-23  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (iconv, Vietnamese): New nodes.

	* Makemore: Change directory to distribution before calling
	Python, so relative symlinks work better, here.

	* tables.py (Input, Output): New classes, reorganising code.

1999-12-22  François Pinard  <pinard@iro.umontreal.ca>

	* tables.py: Tend to prefer string methods over re methods.
	(begins): New function.  Use it.

	* Makefile.am, Makemore, tables.py: Make libiconv.h, libiconv.texi
	and fr-libiconv.texi.  Rename charset.texi to rfc1345.texi.

1999-12-21  François Pinard  <pinard@iro.umontreal.ca>

	* tables.py (produce_texinfo): Avoid colons in index references.
	Change :NUMBER into (NUMBER).
	Reported by Eli Zaretskii.

1999-12-19  Eli Zaretskii  <eliz@is.elta.co.il>

	* recode.texi: Add index references and print indices for
	concepts, options, library features, and charsets and surfaces.
	Many stylistic changes, both for English and for Texinfo.  Various
	factual errors corrected, including output from some examples.
	* tables.py (produce_texinfo): Generate index references.

1999-12-12  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi: Show program_name in the examples for the library
	usage, and document its purpose.
	Reported by Kristian Köhntopp, Pawel Krawczyk and Simon Cozens.

1999-11-27  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (MIME contents encoding, UTF-7): Adjust RFC numbers
	and correct historical note.
	Reported by Neal McBurnett.

1999-09-27  François Pinard  <pinard@iro.umontreal.ca>

	* tables.py: Python version of tables.pl.
	* tables.pl: Deleted.
	* Makefile.am, Makemore: Adjusted.

1999-06-22  François Pinard  <pinard@iro.umontreal.ca>

	* Makefile.am (man_MANS, recode.1): Deleted.  The man page will
	now be built in src/ rather than here.

1999-06-17  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (Top): Use @ifnottex instead of @ifinfo.

1999-04-27  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi: Do not use od in examples, recode can do it itself.

1999-04-21  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi: Many tiny adjustments all over.
	Reported by Laurent Bourbeau.

1999-04-18  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (Listings): Checking is somewhat relaxed when
	generating source tables.

1999-04-02  François Pinard  <pinard@iro.umontreal.ca>

	* recode.texi (UTF-8): Change RFC2044 to RFC2279.
	Reported by Steinar Bang.

	* recode.texi (Requests): Aliases are not true and simple anymore.
	Reported by Martin J. Dürst.

1999-01-17  François Pinard  <pinard@iro.umontreal.ca>

	* tables.pl: Generate code to initialize implied surfaces.

1999-01-07  François Pinard  <pinard@iro.umontreal.ca>

	* tables.pl (digest_french_names): Define translations for control
	characters from U+0080 to U+009F.  Make U+007F work as expected.
	Reported by Alain Labonté and Laurent Bourbeau.

1999-01-05  François Pinard  <pinard@iro.umontreal.ca>

	* tables.pl (digest_french_names): Remove trailing asterisks.

1999-01-04  François Pinard  <pinard@iro.umontreal.ca>

	* tables.pl: Generate struct strip_table instead of UCS2_DATA_TABLE.
	Produce strip-pool.c and strip-data.c instead of pool.c and
	tables.c.  Rename produce_tables_init and produce_tables_term with
	produce_strip_init and produce_strip_term.  Rename tabular_flag to
	strip_option.  Rename all other _flag variables into _option.
	Replace SOMECHAR with REPLACEMENT_CHARACTER and NOCHAR with
	NOT_A_CHARACTER.
	* Makemore: Adjusted.

1999-01-02  François Pinard  <pinard@iro.umontreal.ca>

	* tables.pl (digest_french_names): Handle translation of control
	characters given an explicit table in the program.

	* tables.pl (produce_texinfo): Avoid some spurious trailing space.

1998-12-17  François Pinard  <pinard@iro.umontreal.ca>

	* noms_juc_19981216.txt: New French name table.
	* Makemore: Use it.
	* tables.pl: Recognise new table despite semicolons.
	Reported by Alain Labonté et François Yergeau.

1998-12-15  François Pinard  <pinard@iro.umontreal.ca>

	* Makemore (fr-charnames.h, fr-charset.texi): New rules.
	* tables.pl: Normalize style.
	(digest_french_names): New routine.

1998-11-23  François Pinard  <pinard@iro.umontreal.ca>

	* help2man: New file, from elsewhere.
	* Makefile.am (EXTRA_DIST, recode.1): Adjusted.

1998-11-03  François Pinard  <pinard@iro.umontreal.ca>

	* helptoman.pl: Comment a wrong line.  Remove parenthesese on
	another.

1998-11-02  François Pinard  <pinard@iro.umontreal.ca>

	* tables.pl: Use recode_ucs2 type.

1998-10-27  François Pinard  <pinard@iro.umontreal.ca>

	* tables.pl (produce_tables_term): Use bool instead of int.
	(declare_mnemonic): Return, instead of calling next.

1998-10-23  François Pinard  <pinard@iro.umontreal.ca>

	* tables.pl: Adapt to use strict.
	* Makemore: Use -w with Perl.

1998-09-15  François Pinard  <pinard@iro.umontreal.ca>

	* keld-email/mnemonics,ds: Patched to add Euro symbol.

1998-09-01  François Pinard  <pinard@iro.umontreal.ca>

	* Makemore (CHARSETS_DEF, ISO10646_DEF, MNEMONICS_DS): New macros.
	Use them.  For playing with some revised tables emailed by Keld.

1997-12-15  François Pinard  <pinard@iro.umontreal.ca>

	* tables.pl (digest_iso10646_def, declare_mnemonic): New routines.

1997-12-14  François Pinard  <pinard@iro.umontreal.ca>

	* tables.pl: New file, merging once separate scripts.
	* charname.pl, charset.pl, rfc1345.pl: Deleted.
	* Makefile.am, Makemore: Adjusted.

1997-12-12  François Pinard  <pinard@iro.umontreal.ca>

	* Makemore: Fetch and use mnemonic,ds instead of mnemonics.ds.

1997-12-09  François Pinard  <pinard@iro.umontreal.ca>

	* Makefile.am (recode.1): Depend on src/main.c, not src/recode.c.
	* helptoman.pl: Reset the accumulation flag even if the usage
	clause is only one line long.

	* charset.pl (digest_rfc1345): Capitalise the saved &rem and add
	an ending period, as necessary, before writing it to charset.texi.

1997-12-05  François Pinard  <pinard@iro.umontreal.ca>

	* charset.pl (digest_rfc1345): Diagnose if declarations for a
	charset are not presented in the unofficial canonical order.
	Reported by Keld Jørn Simonsen.

1997-12-03  François Pinard  <pinard@iro.umontreal.ca>

	* Makemore (charset.texi): Handle chset31a/charsets.def, instead of
	rfc1345.txt combined with a few Unicode maps.
	(chset31a, charsets.def): New goals.
	(all): Append dependencies to Makefile's all, automating them.
	* charset.pl: Recognise simpler charsets.def format.
	Reported by Keld Jørn Simonsen, Lukas Petrlik and Roman Czyborra.

	* koi8-r and other cyrillic tables gets implemented through the
	changes above.
	Reported by Alexander L. Belikoff, Andries Brouwer and Roman
	Czyborra.

1997-12-02  François Pinard  <pinard@iro.umontreal.ca>

	* rfc1345.pl: Generate an inverse table.

1997-12-01  François Pinard  <pinard@iro.umontreal.ca>

	* charset.pl: Reorganise with one processor routine per type of
	input file.  Add code to recognise input file types from contents,
	and dispatch accordingly.  Add a routine to read Unicode maps.

	* Makemore (charset.texi): Read mnemonics files before RFC 1345.
	Fetch and process the Unicode format maps held in MAPS.
	(cp1251.txt): New rule.  (MAPS): Adjusted.
	Reported by Andreas Dietrich.

	* Makemore (cp1250.txt): New rule.  (MAPS): Adjusted.
	Reported by Branimir Dolicki, Frère Roy and Primoz Peterlin.

	* Makemore (cp1252.txt): New rule.  (MAPS): Adjusted.
	Reported by Hilmar Schlegel.

1997-11-24  François Pinard  <pinard@iro.umontreal.ca>

	* charname.pl, charset.pl, rfc1345.pl: Insert the LGPL instead
	of the GPL in generated sources.

1997-10-14  François Pinard  <pinard@iro.umontreal.ca>

	* charset.pl: Generate global argument to module_tables, and
	generate checking and return of initialisation success.

1997-10-06  François Pinard  <pinard@iro.umontreal.ca>

	* helptoman.pl: Have better headers and footers.
	Reported by Thomas M. Ott.

1997-10-05  François Pinard  <pinard@iro.umontreal.ca>

	* Makemore (i18n.txt, i18nrep.txt): New rules.

	* All: Replace `and usages' by `and surfaces'.  Replace encoding
	and ENCODING by surface and SURFACE.

1997-09-29  François Pinard  <pinard@iro.umontreal.ca>

	* Makemore (rfc1345.txt): New rule.

	* helptoman.pl: New file.
	* Makefile.am: Prepare, install and distribute the man page.
	Suggested by Harald Falkenberg.

1997-09-23  François Pinard  <pinard@iro.umontreal.ca>

	Have most Perl generation done in this directory, with resulting
	files moved into directories where they are most useful.
	* Makemore: New file.
	* Makefile.am: Simplified accordingly.
	* charname.pl, rfc1345.pl: Moved over from src/.

1997-09-22  François Pinard  <pinard@iro.umontreal.ca>

	* charset.pl: Use lc instead of y whenever appropriate.  Use
	upcased hexadecimal for $SOMECHAR and $NOCHAR.  Rename %unicode to
	%ucs2, and some of $code to $ucs2.  Rename UNICODE to MNEMONICS
	and $UNICODE to MNEMONICS.  Implement a pool of for strips of UCS2
	characters.  Do not split output anymore into charset1.c and
	charset2.c; rather have all tables into tables.c and all strips
	into pool.c.  Everything adjusted.

	* Makefile.am (charset.texi): Manage so the script is executed in
	the build directory, so diagnostics have $(srcdir) in references.

1997-07-29  François Pinard  <pinard@iro.umontreal.ca>

	* charset.pl: Generated module_ routines need a parameter.

1997-02-26  François Pinard  <pinard@iro.umontreal.ca>

	* mnemonic.ds2: Add three dozens of missing codes.

1997-02-25  François Pinard  <pinard@iro.umontreal.ca>

	* Makefile.am (EXTRA_DIST): Add charset1.c, charset2.c and
	charset.texi, taken out of BUILT_SOURCES.

1996-09-30  François Pinard  <pinard@iro.umontreal.ca>

	* charset.pl: Integrate charset.sed, accept rfc1345.txt as
	argument, use hex.
	* charset.sed: Deleted.
	* Makefile.am: Adjusted.
	Reported by Andreas Schwab.

1996-08-25  François Pinard  <pinard@iro.umontreal.ca>

	* charset.pl: Use warn rather than print STDERR.

1996-08-24  François Pinard  <pinard@iro.umontreal.ca>

	* charset.pl: Replace DOUBLE_TABLE by UCS2_DATA_TABLE.  Call
	declare_ucs2_data instead of declare_double_step, and avoid
	generating a third argument for size.  Replace SRC by SOURCE.

	* Makefile.am: New, replaces Makefile.in.

1995-07-23  François Pinard  <pinard@iro.umontreal.ca>

	* mnemonic.ds: Copied from ftp://dkuug.dk/i18n/mnemonic.ds.
	* mnemonic.ds2: New file, edited from inspection of rfc1345.txt.
	* Makefile.in (DISTFILES): Distribute them.
	* charset.pl: Generate UCS2 in tables, instead of mnemonics.

1995-07-10  François Pinard  <pinard@iro.umontreal.ca>

	Distribution unflattened, for using GNU gettext.
	* Makefile.in: New file.
